directory-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Pierre-Arnaud Marcelot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (DIRSTUDIO-899) Unable to install Studio using the update site: "Missing requirement: ApacheDS Core 2.0.0.M11"
Date Sat, 04 May 2013 19:56:16 GMT

    [ https://issues.apache.org/jira/browse/DIRSTUDIO-899?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13649152#comment-13649152
] 

Pierre-Arnaud Marcelot commented on DIRSTUDIO-899:
--------------------------------------------------

Hi Stefan,

Indeed, I checked and fixed all dependencies. It should all be OK now (in trunk) and I will
take extra-care to verify it on (test) live update site before launching the vote for 2.0.0-M7.

Unfortunately, I wasn't available two weeks ago (I was in vacation), and I dedicated a part
of last week to work on the editor for the Password Policies for the Apache DS Configuration
Editor.
I was also waiting for ApacheDS 2.0.0-M12 to be released, so I could include it in the next
release of Studio.
I'll be in vacation (again) starting on tuesday next week, I'll release Studio as soon as
possible (and when it's ready) when I get back the week after.

Regards,
Pierre-Arnaud
--------------------------------

Hi oplms,

Once again, for us, the issue is "resolved".
If you look closely, the fix version is 2.0.0-M7, which isn't out yet and which we try to
get out ASAP.

The "resolved" state is different than the fact that the website or update site is up-to-date.
It's linked to our work in the current trunk.
It helps us to keep track on the work of a release and which issues are currently "resolved'
for a particular version.

In the cas of this issue, it has been fixed in trunk, so its state should be "resolved".

That may not sound right to you, but that's the way the entire Directory Project team uses
JIRA.

Regards,
Pierre-Arnaud
                
> Unable to install Studio using the update site: "Missing requirement: ApacheDS Core 2.0.0.M11"
> ----------------------------------------------------------------------------------------------
>
>                 Key: DIRSTUDIO-899
>                 URL: https://issues.apache.org/jira/browse/DIRSTUDIO-899
>             Project: Directory Studio
>          Issue Type: Bug
>    Affects Versions: 2.0.0-M6
>            Reporter: Pierre-Arnaud Marcelot
>            Assignee: Pierre-Arnaud Marcelot
>            Priority: Blocker
>             Fix For: 2.0.0-M7, 2.0.0
>
>
> This problem was reported on IRC.
> It seems like the ApacheDS Core module has a lot of imports on interceptors modules and
those modules are not part of the distribution.
> Here's the log from the user:
> !MESSAGE Missing requirement: ApacheDS Core 2.0.0.M11 (org.apache.directory.server.core
2.0.0.M11) requires 'package org.apache.directory.server.core.admin [2.0.0,3.0.0)' but it
could not be found

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message